Index: trunk/SophyaProg/PrgUtil/Makefile
===================================================================
--- trunk/SophyaProg/PrgUtil/Makefile	(revision 2735)
+++ trunk/SophyaProg/PrgUtil/Makefile	(revision 2743)
@@ -1,81 +1,104 @@
-MODULECXXREPNAME :=  PrgUtil
-include ../Mgr/Makefile.h
+include ../BuildMgr/sophyamake.inc
  
-ifdef NOSHLIB
-LIBF =  $(LIB)libFitsIOServer.a $(LIB)libSamba.a $(LIB)libSkyMap.a $(LIB)libSkyT.a $(LIB)libNTools.a $(LIB)libHiStats.a $(LIB)libTArray.a $(LIB)libSysTools.a 
-LIBS = -L$(LIB) -lFitsIOServer -lSamba -lSkyMap -lSkyT -lNTools -lHiStats -lTArray -lSysTools -lm
-ifeq ($(CXX),cxx)
-# librairie des instances de templates cxx
-LIBS := $(LIBS) -lertcxx
-endif
-else
-LIBF =  $(SLB)libsophya.so $(SLB)libextsophya.so
-LIBS = -L$(SLB) -lsophya -lextsophya  -lm
-endif
-LIBSORA := $(LIBS)
-LDLIBS := $(LIBS) $(LDLIBS)
-PROGS = $(EXE)runcxx $(EXE)scanppf $(EXE)scanfits 
-PROBJS = $(OBJ)runcxx.o $(OBJ)scanppf.o $(OBJ)scanfits.o 
-
+PROGS = $(SOPHYAEXEP)runcxx $(SOPHYAEXEP)scanppf $(SOPHYAEXEP)scanfits
+ 
 all: $(PROGS)
-
+ 
 clean:
 	rm -f $(PROGS)
-	rm -f $(PROBJS)
-	if [ -d $(OBJ)cxxrep_PrgUtil ] ; then cd $(OBJ)cxxrep_PrgUtil ; rm -f *.o ; fi
-
-runcxx: $(EXE)runcxx
-	@ echo runcxx done
-$(EXE)runcxx: $(OBJ)runcxx.o
-	$(LINK.cc) $^ $(LOADLIBES) $(LDLIBS) -o $@ 
-
-scanppf: $(EXE)scanppf
-	@ echo scanppf done
-$(EXE)scanppf: $(OBJ)scanppf.o
-	$(LINK.cc) $^ $(LOADLIBES) $(LDLIBS) -o $@ 
-
-scanfits: $(EXE)scanfits
-	@ echo scanfits done
-$(EXE)scanfits: $(OBJ)scanfits.o
-	$(LINK.cc) $^ $(LOADLIBES) $(LDLIBS) -o $@ 
-
-$(OBJ)runcxx.o: runcxx.cc $(INC)sambainit.h \
- $(INC)skymapinit.h \
- $(INC)sophyainit.h \
- $(INC)machdefs.h \
- $(INC)ntoolsinit.h \
- $(INC)tarrinit.h \
- $(INC)skyinit.h \
- $(INC)pexceptions.h \
- $(INC)cxxcmplnk.h \
- $(INC)pdlmgr.h \
- $(INC)timing.h
-$(OBJ)scanfits.o: scanfits.cc $(INC)histinit.h \
- $(INC)ntoolsinit.h \
- $(INC)tarrinit.h \
- $(INC)sophyainit.h \
- $(INC)machdefs.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)anydataobj.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)mutyv.h \
- $(INC)ntuple.h \
- $(INC)ntupintf.h \
- $(INC)xntuple.h \
- $(INC)fitsxntuple.h \
- $(INC)fitsfile.h \
- $(INC)ndatablock.h \
- $(INC)fitsntuple.h
-$(OBJ)scanppf.o: scanppf.cc $(INC)ppersist.h \
- $(INC)machdefs.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)anydataobj.h \
- $(INC)sambainit.h \
- $(INC)skymapinit.h \
- $(INC)sophyainit.h \
- $(INC)ntoolsinit.h \
- $(INC)tarrinit.h
+	rm -f $(SOPHYAOBJP)scanfits.o $(SOPHYAOBJP)scanppf.o $(SOPHYAOBJP)runcxx.o
+ 
+runcxx: $(SOPHYAEXEP)runcxx
+	echo $@ " done"
+$(SOPHYAEXEP)runcxx: $(SOPHYAOBJP)runcxx.o
+	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+ 
+scanppf: $(SOPHYAEXEP)scanppf
+	echo $@ " done"
+$(SOPHYAEXEP)scanppf: $(SOPHYAOBJP)scanppf.o
+	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+ 
+scanfits: $(SOPHYAEXEP)scanfits
+	echo $@ " done"
+$(SOPHYAEXEP)scanfits: $(SOPHYAOBJP)scanfits.o
+	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+ 
+$(SOPHYAOBJP)runcxx.o: runcxx.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)array.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)matharr.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)sopemtx.h \
+  $(SOPHYAINCP)sambainit.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)skyinit.h \
+  $(SOPHYAINCP)cxxcmplnk.h \
+  $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)timing.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)scanfits.o: scanfits.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)histinit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)xntuple.h \
+  $(SOPHYAINCP)fitsxntuple.h \
+  $(SOPHYAINCP)fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  $(SOPHYAINCP)fitsntuple.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)scanppf.o: scanppf.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)sambainit.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)histinit.h
+	$(CXXCOMPILE) -o $@ $<
+ 
Index: trunk/SophyaProg/PrgUtil/smakefile
===================================================================
--- trunk/SophyaProg/PrgUtil/smakefile	(revision 2743)
+++ trunk/SophyaProg/PrgUtil/smakefile	(revision 2743)
@@ -0,0 +1,104 @@
+include $(SOPHYABASE)/include/sophyamake.inc
+ 
+PROGS = $(SOPHYAEXEP)runcxx $(SOPHYAEXEP)scanppf $(SOPHYAEXEP)scanfits
+ 
+all: $(PROGS)
+ 
+clean:
+	rm -f $(PROGS)
+	rm -f $(SOPHYAOBJP)scanfits.o $(SOPHYAOBJP)scanppf.o $(SOPHYAOBJP)runcxx.o
+ 
+runcxx: $(SOPHYAEXEP)runcxx
+	echo $@ " done"
+$(SOPHYAEXEP)runcxx: $(SOPHYAOBJP)runcxx.o
+	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+ 
+scanppf: $(SOPHYAEXEP)scanppf
+	echo $@ " done"
+$(SOPHYAEXEP)scanppf: $(SOPHYAOBJP)scanppf.o
+	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+ 
+scanfits: $(SOPHYAEXEP)scanfits
+	echo $@ " done"
+$(SOPHYAEXEP)scanfits: $(SOPHYAOBJP)scanfits.o
+	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+ 
+$(SOPHYAOBJP)runcxx.o: runcxx.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)array.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)matharr.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)sopemtx.h \
+  $(SOPHYAINCP)sambainit.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)skyinit.h \
+  $(SOPHYAINCP)cxxcmplnk.h \
+  $(SOPHYAINCP)pdlmgr.h \
+  $(SOPHYAINCP)timing.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)scanfits.o: scanfits.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)histinit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)ntuple.h \
+  $(SOPHYAINCP)ntupintf.h \
+  $(SOPHYAINCP)xntuple.h \
+  $(SOPHYAINCP)fitsxntuple.h \
+  $(SOPHYAINCP)fitsfile.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  $(SOPHYAINCP)fitsntuple.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)scanppf.o: scanppf.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)sambainit.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)histinit.h
+	$(CXXCOMPILE) -o $@ $<
+ 
